Skip to main content
`Ctrl`+`K`

# DMMoabGetInterface

Get the MOAB instance used with this `DMMOAB`

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetInterface(DM dm, moab::Interface **mbiface)

Collective

## Input Parameter

- dm - The `DMMOAB` object being set

## Output Parameter

- mbiface - The MOAB instance set on this `DMMOAB`

## See Also

`DMMOAB`, `DMMoabSetInterface()`

## Level

beginner

## Location

src/dm/impls/moab/dmmoab.cxx

## Examples

src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages